Part Wedge/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(16 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Part Wedge|MenuLocation=Part -> [[Part_CreatePrimitives|Part CreatePrimitives]] -> Wedge||Workbenches=[[Part_Module|Part]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}


{{Docnav
Create a parametric Wedge object. This Wedge defaults to a larger square base and a smaller square top.
|[[Part_Prism|Prism]]
|[[Part_Helix|Helix]]
|[[Part_Workbench|Part]]
|IconL=Part_Prism.svg
|IconR=Part_Helix.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
=== Dimensiuni și Plasamente implicite ===
{{GuiCommand
|Name=Part Wedge
|MenuLocation=Part → Create primitives → Wedge
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
</div>


==Description==
'''Plasament:'''
The default orientation places the base in the XZ plane and the top outward in the Y axis direction. The default base corner is the 0,0,0 origin.


<div class="mw-translate-fuzzy">
'''Fațeta de bază:'''
Creați un obiect parametric Pană/Wedge. Valoarea implicită pentru această reținere este o bază pătratică mai mare și un vârf pătrat mai mic.
*X : 10 mm
</div>
*Z : 10 mm


[[Image:Part_Wedge_Example.png|400px]]
'''Înălțimea:'''
*Y : 0-10 mm


==Usage==
'''Fațeta Superioară:'''
*X : 2-8 mm
*Z : 2-8 mm


See [[Part_Primitives#Usage|Part Primitives]].


== Example ==
[[File:PartWedgeProperty.png|left]]
{{clear}}


[[Image:Part_Wedge_Scripting_Example.png|thumb|Part Wedge from the scripting example]]
=== Intrări Parametrice ===
{|
| [[File:PartWedgeProperty_Inputs.png]]
|
Using the default placement, the below inputs are:
*{{PropertyData|X min/max}} : Base face X axis span
*{{PropertyData|Y min/max}}: Wedge height span
*{{PropertyData|Z min/max}} : Base face Z axis span
*{{PropertyData|X2 min/max}} : Top face X axis span
*{{PropertyData|Z2 min/max}} : Top face Z axis span
|}


A Part Wedge object created with the [[#Scripting|scripting example]] below is shown here.
=== Mai multe exemple de pene ===
[[File:Wedge_examples.png]]


== Notes ==
{{clear}}

* The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Wedge object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Wedge}}

* {{PropertyData|Xmin|Distance}}: The lowest X coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Ymin|Distance}}: The Y coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Zmin|Distance}}: The lowest Z coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|X2min|Distance}}: The lowest X coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Z2min|Distance}}: The lowest Z coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Xmax|Distance}}: The highest X coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Ymax|Distance}}: The Y coordinate of the rear face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Zmax|Distance}}: The highest Z coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|X2max|Distance}}: The highest X coordinate of the rear face of the wedge. The default is {{Value|8mm}}.
* {{PropertyData|Z2max|Distance}}: The highest Z coordinate of the rear face of the wedge. The default is {{Value|8mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Wedge can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
}}

* Where {{Incode|"myWedge"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav
|[[Part_Prism|Prism]]
|[[Part_Helix|Helix]]
|[[Part_Workbench|Part]]
|IconL=Part_Prism.svg
|IconR=Part_Helix.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:15, 3 March 2022

Part Wedge

Menu location
Part → Create primitives → Wedge
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Creați un obiect parametric Pană/Wedge. Valoarea implicită pentru această reținere este o bază pătratică mai mare și un vârf pătrat mai mic.

Usage

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DateXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DateYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DateZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DateX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DateZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DateXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DateYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DateZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DateX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DateZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()